Wikimedia Hackathon 2017 Showcase
Closed, ResolvedPublic

Tokens
"Love" token, awarded by srishakatux."Love" token, awarded by Volker_E."Yellow Medal" token, awarded by Qgil."Love" token, awarded by Aklapper."Mountain of Wealth" token, awarded by mpopov.
Assigned To
Authored By
Rfarrand, May 21 2017

Description

The Wikimedia Hackathon 2017 Showcase will take place at the closing of the hackathon. Sunday between 15:30 - 1700

Presenters can reserve a slot, first come, first served, in an etherpad: https://etherpad.wikimedia.org/p/Hackathon_showcase_2017
Each presenter has 1-3 minutes of air time, including the time needed to switch computers where needed.

The showcase video by Andrew Lih is available: https://www.youtube.com/watch?v=UQDSd9ewjSw&t=11m19s


Started ~15:55, ended 17:35. 46 presentations taking 2 minutes 10 seconds on average.


Wikimedia Hackathon 2017 - Vienna, Austria

Showcase is on Sunday at 15:30 in room Heuriger run by Siebrand and Rachel
Video: You will be able to connect your computer to a projector. You can stand, facing the audience, work on your laptop, and your voice will be amplified using a static, adjustable microphone.
No video: To not be recorded, there is a section at the bottom for people who want to present, after the camera is off.
Not presenting, or leaving early: Please update (or create) your phabricator task to briefly explain what you worked on.

In order to showcase your project, edit this etherpad and add the related data below:

  • <Name of project - https://phabricator.wikimedia.org/TNNNNN (Phabricator task)>
    • <One sentence description.>
    • <URL of the demo, if available.>
    • <Team (list Phabricator usernames, i.e. @Rfarrand).>
    • <Any special requirement for your max. 3 minute showcase (if it's just a URL we can open it from the laptop in the room, please come early to arrange your showcase in advance!)>
  • Commons Games - https://phabricator.wikimedia.org/T165859
    • Two "Wikidata Game"-like games to evaluate Commons categories and images in those categories for accuracy and utility.
    • N/A (local demo) Is this on tool labs yet?
    • @MarkTraceur (@siebrand advised)
      • evaluating categories and images on Commons to determine whether categorization is accurate, and to find good images in categories.
  • Viewing 3D models natively on Android
    • A simple, smooth, and fast interface for viewing 3D models (STL, OBJ, PLY files) from Commons and other sources.
    • @Dbrant
      • Native app for viewing 3d models - default handler on the device coming from links anywhere
      • Multiple formats supported
      • 3d view too, using e.g. Google Cardboard, with split screen
  • blacklist - https://phabricator.wikimedia.org/T150419
    • Allows users to block receiving notifications from desired users
    • Used to reduce harassment
    • Code: https://gerrit.wikimedia.org/r/#/c/320718/
    • @MtDu, @Matt_Flaschen, @Mooeypoo
      • added a new preference for the feature in the extension.
      • the blacklist is not public
      • work on JS and non-JS machines
      • blocks all notifications, except for on personal usertalkpage notifications (per requirements)
      • Plans to add tests, get feedback from community
  • Telegram Translation Bot: https://phabricator.wikimedia.org/T131664
    • Translate on translatewiki.net without leaving your Telegram app
    • Code: https://github.com/amire80/mediawiki-telegram-bot/
    • mediawiki.org page: https://www.mediawiki.org/wiki/User:Amire80/chat_bot_draft
    • Phabricator: amire80 * Wikipedia: Amire80 * Twitter: @aharoni
    • Amir E. Aharoni and Taras Bunyk presenting
    • Justin Du (MtDu), Taras Bunyk, and help from Brian Wolff, Madhvuvishy, bd808, Niklas Laxström, Jon Robson, and more people!
      • "Most people don't speak English"
      • Translatewiki.net - thousands of messages to translate
      • can now translate through this simple mobile app instead of needing to load the full site in a browser
      • selects untranslated strings, in your preferred languages, sends them to you, and you translate, and it submits them to translatewiki
      • Long messages are automatically skipped to fit a use on mobile.
  • LinguaLibre : Massive Open Audio Recording system - https://phabricator.wikimedia.org/T165950
    • code : https://github.com/wiese/Lingua-Libre/tree/python-backend
    • Adding features to upload sound files to commons and linking to wiktionary
    • Added support for right-to-left languages like arabic, hebrew
    • Dockerisation of the software for easy installation
    • Team : Pablo, Hugo (@Yug), Dafna, Praveen, @Tshrinivasan (add Phabricator nicks if possible :) )
      • Have been working on for a year and a half
      • You go the website and you record 1000 words / hours, collaborations with GLAM and more
      • Came to raise awareness, found 4 developers
      • @Tshrinivasan added files smart pipeline to commons
      • Go the the website linguaLibre.fr
  • Workaround collation issue in Farsi
    • Code: https://gerrit.wikimedia.org/r/#/c/354598/
    • Bawolff with collaboration with ladsgroup & Matma Rex
      • Amir and bawolff presenting
      • We use a library called ICU that allows us to sort categories differently depending on the language
      • The sorting is now fixed for a specific character (Aleph) by replacing it with an unused character
  • Advanced Search options for MediaWiki -
    • Code: https://github.com/thiemowmde/AdvancedSearch
    • Team: Gabriel, Thiemo
      • Thought to make it more technical, and let users understand how it works
      • Wizard lets you select complicated parameter queries using a more famiilar GUI interface
      • Using OOjs for interface
      • Probably available as a Beta next months
  • Plantdata.io
    • https://www.mediawiki.org/wiki/User:Khorn_(WMF)/Plantdata.io
    • Katie Horn, Erika Bjune, Deb Tankersley
      • Research into planned project - Taking sensor data from soil, and feeding that info, to create a SPARQL query, that will tell you what will happily grow in your land.
      • Need to investigate creating new properties
      • Have found CC0 sources, and the Flower Clock projects
  • Finding items to merge
    • let's find similar items in wikidata to merge
    • @Ladsgroup (at phab)
    • I need to show it in my laptop
      • hashes of text that are similar to each other, likely to stay similar to each other
      • went through items in dumps to hash them
      • found many that are similar enough to merge
      • Still a lot of false positives (same names, same topic, some different properties)
  • Categories in SPARQL https://phabricator.wikimedia.org/T157676
    • Loading category trees to SPARQL database
    • @Smalyshev
    • Need to connect my laptop to AV, mini-DP
      • Display categories as a graph database
      • Can find Child and Parent categories (among all other stuff SPARQL can do)
      • Next step is implementing deep category search using this data
  • Revision Slider on mobile devices
  • Visual Editor - visual diffs
    • Visual diffs of edits just made in the visual editor
    • @Tchanders, VE team
      • Easier to see moved blocks, table edits, reference edits (distinct), and more
  • Generic MediaWiki Android app
    • Android app for wikis other than Wikipedia - https://phabricator.wikimedia.org/T165495
    • @bearND, @Florian, @Nark0
    • my laptop (Mac Air)
      • new Gradle flavour, to allow installation of both apps and custom icons and strings, custom dev-settings
      • Browsing on multiple sites demo (Wikivoyage and MediaWiki-wiki and Droidwiki)
  • ORES FlaggedRevs reviews - https://phabricator.wikimedia.org/T165848
    • Reduce backlog with automatic reviews
    • @Zache
    • my laptop
      • Tests about FlaggedRevs backlog. on certain wikis, the backlog is up to 8 years.
      • ORES can be used to reduce this backlog by having edits that are flagged marked as pass.
      • Multiple solutions can be, but the model exists.
  • Wikitribunal
    • News based on editor wikipedia activity written in Vue
    • @Jdlrobson
    • my laptop (mac air) + firewire
    • https://trending.wmflabs.org
      • Using trendAPI - which currently involves guessing why something is trending
      • Linked it to world news results, so that popular articles are connected to recent news articles
      • Used Google News RSS feed, but got blocked a few times for API abuse
      • Need to find a better source
  • Name extractor
    • Tool to extract strings that look like names and filtering out those that aren't actually people's names
    • plan is to match the result with wikidata so you can find out which speakers at an event already have a wikipedia article in any and all language version of Wikipedia
    • @1Veertje
    • my tablet
      • Filter names from elements like newspaper articles to help to identify the attendees of an event. Then searches on Wikidata if the persons have an article to see if they have pictures.
Rfarrand created this task.May 21 2017, 8:19 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 21 2017, 8:19 AM
Quiddity updated the task description. (Show Details)May 21 2017, 3:47 PM
Quiddity added subscribers: Yug, Alicetragedy, Pkraker and 51 others.
Quiddity added a subscriber: Quiddity.

Etherpad notes added to description, for editability.

mpopov updated the task description. (Show Details)May 21 2017, 4:21 PM
bearND updated the task description. (Show Details)May 22 2017, 7:24 AM
Aklapper updated the task description. (Show Details)May 23 2017, 4:42 PM
TheDJ added a subscriber: TheDJ.May 24 2017, 2:36 PM
Rfarrand closed this task as Resolved.May 24 2017, 2:47 PM

I am very happy with the success of this showcase.

Milimetric updated the task description. (Show Details)May 24 2017, 9:14 PM